com.genesyslab.wfm7.API.service.calendar760

## Interface ECalSortModes

-     public interface ECalSortModes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CAL_SORT_AGENT_TEAM_NAME` Sort according to the Agent's Team name
    `static int` | `CAL_SORT_ITEM_ACTUAL_STATUS` Sort according to the calendar item current status.
    `static int` | `CAL_SORT_ITEM_DATE` Sort according to the calendar item date.
    `static int` | `CAL_SORT_ITEM_END` Sort according to the calendar item end date.
    `static int` | `CAL_SORT_ITEM_NAME` Sort according to the calendar item name.
    `static int` | `CAL_SORT_ITEM_PAID_DURATION` Sort according to the calendar item paid duration.
    `static int` | `CAL_SORT_ITEM_REASON` Sort according to the calendar item reason.
    `static int` | `CAL_SORT_ITEM_SAVED_STATUS` Sort according to the calendar item saved status.
    `static int` | `CAL_SORT_ITEM_START` Sort according to the calendar item start date.
    `static int` | `CAL_SORT_ITEM_SUBMIT_DATE` Sort according to the calendar item date submitted.
    `static int` | `CAL_SORT_ITEM_TYPE` Sort according to the calendar item type.
    `static int` | `CAL_SORT_NONE` No sort criteria specified

- - ### Field Detail

    - #### CAL_SORT_NONE

          static final int CAL_SORT_NONE

      No sort criteria specified
      See Also:
        Constant Field Values

    - #### CAL_SORT_AGENT_TEAM_NAME

          static final int CAL_SORT_AGENT_TEAM_NAME

      Sort according to the Agent's Team name
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_DATE

          static final int CAL_SORT_ITEM_DATE

      Sort according to the calendar item date.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_TYPE

          static final int CAL_SORT_ITEM_TYPE

      Sort according to the calendar item type.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_ACTUAL_STATUS

          static final int CAL_SORT_ITEM_ACTUAL_STATUS

      Sort according to the calendar item current status.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_SAVED_STATUS

          static final int CAL_SORT_ITEM_SAVED_STATUS

      Sort according to the calendar item saved status.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_NAME

          static final int CAL_SORT_ITEM_NAME

      Sort according to the calendar item name.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_START

          static final int CAL_SORT_ITEM_START

      Sort according to the calendar item start date.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_END

          static final int CAL_SORT_ITEM_END

      Sort according to the calendar item end date.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_REASON

          static final int CAL_SORT_ITEM_REASON

      Sort according to the calendar item reason.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_PAID_DURATION

          static final int CAL_SORT_ITEM_PAID_DURATION

      Sort according to the calendar item paid duration.
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_SUBMIT_DATE

          static final int CAL_SORT_ITEM_SUBMIT_DATE

      Sort according to the calendar item date submitted.
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.